import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_PieSer } from "./CT_PieSer";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_FilteredPieSer extends Base implements ISupportSetProperty {
    static $t: Type;
    private b;
    constructor();
    a: CT_PieSer;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
